package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.CabMymessage;

public interface CabMymessageMapper {
	int deleteByPrimaryKey(Integer id);

	int insert(CabMymessage record);

	int insertSelective(CabMymessage record);

	CabMymessage selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(CabMymessage record);

	int updateByPrimaryKey(CabMymessage record);

	List<CabMymessage> getMymessageCount(@Param("userId") String userId, @Param("isRead") String isRead);

	List<CabMymessage> getMymessageByType(@Param("userId") String userId, @Param("type") Integer type,
			@Param("isRead") String isRead);

	long getMymessageCountByRead(@Param("userId") String userId);

	int updateAllIsRead(@Param("userId") String userId);
}